CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes
FFTReal Class Reference

`#include <FFTReal.h>`

List of all members.

## Classes
class | BitReversedLUT
class | TrigoLUT

## Public Types
typedef float | flt_t

## Public Member Functions
| FFTReal (const long length)
| ~FFTReal ()
void | do_fft (flt_t f[], const flt_t x[]) const
void | do_ifft (const flt_t f[], flt_t x[]) const
void | rescale (flt_t x[]) const

## Private Member Functions
| FFTReal (const FFTReal &other)
const FFTReal & | operator= (const FFTReal &other)
int | operator== (const FFTReal &other)
int | operator!= (const FFTReal &other)

## Private Attributes
const BitReversedLUT | _bit_rev_lut
const TrigoLUT | _trigo_lut
const flt_t | _sqrt2_2
const long | _length
const int | _nbr_bits
flt_t * | _buffer_ptr

## Detailed Description

Definition at line 26 of file FFTReal.h.

## Member Typedef Documentation

typedef float FFTReal::flt_t

Definition at line 33 of file FFTReal.h.

## Constructor & Destructor Documentation

FFTReal::FFTReal | ( | const long | length | ) |
| explicit

Definition at line 38 of file FFTReal.cpp.

References _buffer_ptr, _length, and _nbr_bits.

FFTReal::~FFTReal | ( | void |  | ) |

Definition at line 58 of file FFTReal.cpp.

References _buffer_ptr.

FFTReal::FFTReal | ( | const FFTReal & | other | ) |
| private

## Member Function Documentation

void FFTReal::do_fft | ( | flt_t | f[],
|  | const flt_t | x[]
| ) |  | const

Definition at line 78 of file FFTReal.cpp.

References _bit_rev_lut, _buffer_ptr, _length, _nbr_bits, _sqrt2_2, _trigo_lut, FFTReal::BitReversedLUT::get_ptr(), and FFTReal::TrigoLUT::get_ptr().

void FFTReal::do_ifft | ( | const flt_t | f[],
|  | flt_t | x[]
| ) |  | const

Definition at line 265 of file FFTReal.cpp.

References _bit_rev_lut, _buffer_ptr, _length, _nbr_bits, _sqrt2_2, _trigo_lut, FFTReal::BitReversedLUT::get_ptr(), and FFTReal::TrigoLUT::get_ptr().

void FFTReal::rescale | ( | flt_t | x[] | ) | const

Definition at line 460 of file FFTReal.cpp.

References _length.

const FFTReal& FFTReal::operator= | ( | const FFTReal & | other | ) |
| private

int FFTReal::operator== | ( | const FFTReal & | other | ) |
| private

int FFTReal::operator!= | ( | const FFTReal & | other | ) |
| private

## Member Data Documentation

const BitReversedLUT FFTReal::_bit_rev_lut
| private

Definition at line 69 of file FFTReal.h.

Referenced by do_fft(), and do_ifft().

const TrigoLUT FFTReal::_trigo_lut
| private

Definition at line 70 of file FFTReal.h.

Referenced by do_fft(), and do_ifft().

const flt_t FFTReal::_sqrt2_2
| private

Definition at line 71 of file FFTReal.h.

Referenced by do_fft(), and do_ifft().

const long FFTReal::_length
| private

Definition at line 72 of file FFTReal.h.

Referenced by do_fft(), do_ifft(), FFTReal(), and rescale().

const int FFTReal::_nbr_bits
| private

Definition at line 73 of file FFTReal.h.

Referenced by do_fft(), do_ifft(), and FFTReal().

flt_t* FFTReal::_buffer_ptr
| private

Definition at line 74 of file FFTReal.h.

Referenced by do_fft(), do_ifft(), FFTReal(), and ~FFTReal().

The documentation for this class was generated from the following files:

- CSL/Utilities/FFTReal.h
- CSL/Utilities/FFTReal.cpp